/************************
*       ALLGEMEIN       *
*************************/
@font-face {
    font-family: 'averta-regular';
    font-weight: 400;
    src: url('../fonts/averta-regular.otf') format('opentype');
}

@font-face {
    font-family: 'averta-semibold';
    font-weight: 600;
    src: url('../fonts/averta-semibold.otf') format('opentype');
}

@font-face {
    font-family: 'averta-bold';
    font-weight: 700;
    src: url('../fonts/averta-bold.otf') format('opentype');
}

@font-face {
    font-family: 'averta-extrabold';
    font-weight: 800;
    src: url('../fonts/averta-extrabold.otf') format('opentype');
}

body {
    font-size: 14px;
    overflow-x: hidden !important;
}

#partner_search_container {
    width: 100vw;
    height: 100%;
}

#load {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 9999;
    background: url(img/loading.gif) no-repeat center center rgba(0, 0, 0, 0.55);
    pointer-events: none;
    cursor: default;
}

#cookie_block_wrapper {
    height: 95vh;
    width: 100vw;
    display: none;
    
}
#cookie_block_bg {
    background-image: url(img/bg-no-cookie.png);
    filter: blur(5px);
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
#cookie_info_wrapper {
    background-color: rgba(255, 255, 255, 1);
    max-width: 800px;
    min-width: 310px;
    margin: auto;
    background-color: rgba(255, 255, 255, 1);
    font-weight: bold;
    border: 3px solid #f1f1f1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 35px;
    text-align: center;
}
#cookie_block_button {
    background-color: #e73245;
    color: white;
    margin-top: 20px;
    margin-left: auto;
    padding: 20px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    width: 150px;
    text-align: center;
}

#questionmark_legend {
    margin-top: 24px;
    margin-right: 20px;
    padding-top: 1px;
    width: 30px;
    height: 30px;
    background-color: white;
    border-radius: 50%;
    text-align: center;
    font-size: 24px;
    transition: transform 0.4s;
}
#questionmark_legend:hover {
    cursor: pointer;
    transform: scale(1.5);
}

#partnerstatus_legend {
    top: 75px !important;
    margin-right: 20px;
    padding: 15px 15px 0px 15px;
    width: 200px;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0px 1px 4px 1px rgba(0, 0, 0, 0.25);
}

#partnerstatus_header {
    font-family: 'averta-bold';
    font-size: 14px;
    padding-bottom: 13px;
}

.status-legend-point {
    display: flex;
    padding-bottom: 10px;
}

.status-legend-point p {
    padding-left: 6px;
    font-family: 'averta-regular';
    font-size: 14px;
    font-style: normal;
}

.reference_legend_img {
    margin-left: 4px;
}
.reference_legend_text {
    margin-left: -4px;
}
/************************
*       SEARCHBAR       *
*************************/

#searchbar_container {
    width: 350px;
    height: 50px;
    background-color: #fff;
    position: relative !important;
    margin: 12px 0 0 12px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    z-index: 1;
}

#google_search_input {
    width: 350px;
    height: 50px;
    background: url(img/ic-search.svg) no-repeat scroll 20px 16px;
    color: #575c61;
    font-size: 16px;
    font-family: 'averta-regular';
    position: absolute;
    padding: 0 49px 0 49px;
    border: none;
    overflow-x: auto;
}

#searchbar_filter {
    min-width: 20px;
    min-height: 20px;
    position: absolute;
    padding-left: 15px;
    left: 300px;
    top: 15px;
    border-left: 1px solid #eee;
    cursor: pointer;
}

/*---------------------------------------*/

/****************************
*  GOOGLE MAP MARKER STYLE  *
*****************************/

.pac-container {
    border-radius: 5px;
}

/* NUR VERWENDEN WENN DIE MAP EINGEBLENDET WIRD! */
.pac-container:after {
    height: 0px;
    background-image: none !important;
}

.pac-item {
    font-family: Averta, Arial, Helvetica, sans-serif !important;
    padding-left: 27px;
    border: none;
}

.pac-item:hover {
    background-color: #f5f5f5;
}

.gm-style-mtc,
.gm-svpc {
    display: none !important;
}

/*---------------------------------------*/

/**************************
*  Status Filter Top Bar  *
***************************/

#status_filter_container {
    display: flex;
    margin-left: 6%;
    margin-top: 14px;
}

.filter,
.filter-all {
    height: 35px;
    background-color: #fff;
    border-radius: 5px;
    display: flex;
    margin: 7px 0 0 5px;
    font-size: 14px;
    cursor: pointer;
    padding-right: 10px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.2);
}

.filter:hover,
.filter-all:hover {
    background-color: #f5f5f5;
}

.active p {
    opacity: 1;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.inactive > img,
.inactive > p {
    opacity: 0.5;
}

.filter img,
.filter-all img {
    width: 20px;
    height: 20px;
    margin-top: 8px;
    margin-left: 9px;
}

.filter p,
.filter-all p {
    padding-left: 6px;
    padding-top: 8px;
    padding-right: 4px;
    color: black;
}

.hidden {
    display: none !important;
}

.tooltiptext {
    visibility: hidden;
    position: absolute;
    z-index: 9;
    max-width: 290px;
    font-size: 12px;
    background-color: #fff;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    margin-top: 45px;
    padding: 7px 8px 7px 8px;
    color: #575c61;
}

.tooltiptext::before {
    content: '';
    position: absolute;
    transform: rotate(45deg);
    background-color: #fff;
    padding: 5px;
    z-index: -30;
    margin-top: -12px;
    margin-left: 6px;
}

.filter:hover .tooltiptext,
.filter-all:hover .tooltiptext {
    visibility: visible;
}

#status_filter_all img {
    margin-top: 10px;
}

/*---------------------------------------*/

/********************
*  Sidebar Filter   *
*********************/

#sidebar_filter {
    width: 350px;
    height: 90%;
    left: 32px !important;
    top: 58px !important;
    background-color: #fff;
    padding-left: 22px;
    padding-top: 15px;
    margin-bottom: 44px;
    border-top: 1px solid #ededed;
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 10;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.sidebar-hidden {
    visibility: hidden;
}

#range_paragraph {
    display: none;
    font-size: 12px;
    font-family: 'averta-regular';
    letter-spacing: 0px;
    padding: 5px 10px;
}

#max_distance_slider_container {
    pointer-events: none;
    width: 40%;
    display: none;
    margin: 34px auto;
}

.slider {
    width: 100%;
    height: 5px;
    background: #d3d3d3;
    outline: none;
    -webkit-transition: 0.2s;
    transition: opacity 0.2s;
    position: relative;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: #69c350;
    cursor: pointer;
    border-radius: 100%;
}

.distance-value {
    background-color: white;
    position: relative;
    left: 47%;
    margin-top: 10px;
    border-radius: 10%;
    display: inline-block;
}

.cat-header {
    font-size: 14px;
    line-height: 17px;
    color: #575c61;
    padding-bottom: 5px;
    padding-top: 15px;
    font-family: 'averta-bold';
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.main {
    font-family: 'averta-extrabold';
    padding-bottom: 10px !important;
}

input[type='checkbox'] {
    border: 0 none;
    height: 0;
    line-height: 0;
    margin: 0;
    opacity: 0;
    padding: 0;
    width: 0;
    cursor: pointer;
    display: none;
}
input[type='checkbox'] + label,
input[type='checkbox'] + .label label {
    display: inline-block;
    min-width: 24px;
    padding-left: 22px;
    min-height: 28px;
    line-height: 24px;
    cursor: pointer;
    font-size: 14px;
    color: #575c61;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

input[type='checkbox'] + label,
input[type='checkbox'] + .label label {
    background: url(img/ic-tick-white.svg) no-repeat scroll center left rgba(0, 0, 0, 0);
    background-size: 15px;
}

input[type='checkbox']:checked + label,
input[type='checkbox']:checked + .label label {
    background: url(img/ic-tick-green.svg) no-repeat scroll center left rgba(0, 0, 0, 0);
    background-size: 15px;
}

@keyframes sidebar-animate {
    0% {
        transform: translateY(-20px);
        z-index: 500;
    }
    100% {
        transform: translateY(0px);
        z-index: 999;
    }
}

.sidebar-animate {
    animation: sidebar-animate 0.7s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

.status-checkbox-wrapper {
    display: flex;
    align-items: center;
}

.status-checkbox-wrapper img {
    vertical-align: middle;
    height: 25px;
    margin-top: 3px;
}

.status-checkbox-wrapper p {
    padding-top: 3px;
}

#master_of_automation_info {
    margin-left: 5px;
}

.status-explain-wrapper {
    display: none;
}
#prefab_sidefilter {
    display: flex;
    max-width: 110px;
    height: 30px;
    border-radius: 5px;
    border: 1px solid grey;
    cursor: pointer;
}

#prefab_slidefilter_text {
    margin: auto;
    line-height: 0.5px;
    font-size: 14px;
    padding-right: 10px;
}
/*---------------------------------------*/

/********************
*  Marker Tooltip   *
*********************/

#marker_tooltip {
    position: absolute;
    top: 0;
    left: 0;
    display: none;
    padding: 15px;
    z-index: 5 !important;
    border: 1px white solid;
}

#marker_tooltip p {
    color: #fff !important;
    margin: 0;
    padding: 0;
    font-size: 1em;
}

#marker_tooltip::before {
    content: '';
    position: absolute;
    transform: rotate(45deg);
    background-color: #fff;
    padding: 5px;
    z-index: -30;
    margin-top: -20px;
    left: 48%;
}

#marker_tooltip[data-status='REG']::before {
    background-color: #bcc1c2;
}
#marker_tooltip[data-status='SILVER']::before {
    background-color: #a2a5a7;
}
#marker_tooltip[data-status='GOLD']::before {
    background-color: #cfa952;
}
#marker_tooltip[data-status='PLATIN']::before {
    /* background-color: #9d8c82; */
    background-color: #69c350;
}
#marker_tooltip[data-status='FLAGSHIP']::before {
    background-color: #69c350;
}
#marker_tooltip[data-status='DISTI']::before {
    background-color: #793369;
}
#marker_tooltip[data-status='LOX_DEP']::before {
    background-color: #69c350;
}
#marker_tooltip[data-status='Prefab']::before {
    background-color: #01b0db;
}

/*---------------------------------------*/

/******************
*  Partner List   *
*******************/

#partner_list {
    display: none;
    width: 350px;
    height: 90%;
    left: 32px !important;
    top: 58px !important;
    background-color: #fff;
    border-top: 1px solid #ededed;
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 5;
}

#sort_list_wrapper {
    max-width: 200px;
    background: white;
    list-style-type: none !important;
    margin-top: 0;
    margin-bottom: 0;
    line-height: 1;
    display: absolute;
}

#sort_list_wrapper p {
    z-index: 2;
}

#sort_list_wrapper p:not(.placeholder) {
    padding: 0;
    width: 100%;
    display: none;
    color: #575c61;
    position: relative;
    padding-left: 4px;
    padding-bottom: 2px;
    padding-top: 5px;
    padding-right: 15px;
    cursor: pointer;
    font-size: 12px;
}

#sort_list_options_wrapper {
    position: relative;
    display: none;
    margin-top: 9px;
    background: #ffffff;
    box-shadow: 0px 1px 4px 1px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
}

#list_arrow {
    width: 11px;
    cursor: pointer;
}

#sort_list_wrapper p:not(.placeholder):hover,
#sort_list_wrapper p.selected:not(.placeholder) {
    background: #f5f5f5;
}

p.placeholder {
    cursor: pointer;
    display: inline;
    margin-right: 3px;
}

#list_header {
    display: flex;
    padding-top: 15px;
    padding-left: 22px;
    height: 41px;
}

#partner_count_row {
    padding-top: 4px;
    margin-left: auto;
    margin-right: 15px;
}

div[id^='partner_id_'] {
    display: flex;
    border-bottom: 1px solid #ededed;
    padding: 20px 0 20px 22px;
}

div[id^='partner_id_']:hover {
    background-color: rgba(233, 233, 233, 0.5);
    cursor: pointer;
}

div.currently-selected-partner {
    background-color: rgba(233, 233, 233, 0.5);
}

.icon-wrapper {
    display: flex;
    justify-content: center;
    padding-right: 20px;
}

.icon-wrapper img {
    max-height: 70px;
}

.complist-compName {
    font-family: 'averta-extrabold';
}

.comp-data-wrapper {
    max-width: 80%;
}

.comp-data-wrapper p:not(.comp-contact-type-wrapper) {
    padding-bottom: 1px !important;
    font-size: 14px;
}

.complist-showroom {
    padding: 3px 10px;
    margin-right: 5px;
    margin-bottom: 5px;
    height: 18px;
    background: #69c350;
    border-radius: 2px;
    color: white;
    font-size: 10px;
    line-height: 14px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-family: 'averta-semibold';
    display: flex;
    gap: 7px;
}

.complist-master {
    background-color: #e6e6e6 !important;
    color: black !important;
}

.complist-disti {
    padding: 3px 10px;
    height: 18px;
    background: #783369;
    color: white;
    font-size: 10px;
    line-height: 14px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-family: 'averta-semibold';
}

.complist-cat-wrapper {
    margin-top: 5px;
    display: flex;
    flex-wrap: wrap;
}

.complist-contact-type {
    margin-right: 5px;
    margin-bottom: 5px;
    height: 18px;
    border-radius: 2px;
    text-align: center;
    text-transform: uppercase;
    overflow: hidden;
}

#max_distance_slider {
    background: linear-gradient(to right, #69c350 0%, #69c350 38%, #fff 38%, #fff 100%);
    filter: drop-shadow(0px 1px 4px rgba(0, 0, 0, 0.25));
}

.complist-ref-wrapper {
    display: flex;
    text-transform: uppercase;
    gap: 6px;
}

.complist-references-wrapper {
    padding: 3px 10px;
    margin-right: 5px;
    margin-bottom: 5px;
    height: 18px;
    background: #793369;
    border-radius: 2px;
    color: white;
    font-size: 10px;
    line-height: 14px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-family: 'averta-semibold';
    display: flex;
    gap: 7px;
}

.prefab {
    background: #01b0db !important;
    color: white !important;
}

.complist-showroom-item {
    display: flex;
    align-items: center;
    cursor: pointer;
}
.complist-showroom-item:not(:last-child) {
    border-bottom: 1px solid #ededed;
}

.icon-wrapper-showroom {
    max-height: 70px;
}
/*---------------------------------------*/

/*********************
*  Partner Details   *
**********************/

#partner_detail_wrapper {
    top: 80px !important;
    left: 32px !important;
    width: 350px;
    background-color: white;
    padding: 13px 15px 0 20px;
    display: none;
    box-shadow: 0px 1px 4px 1px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    max-height: 85vh;
    overflow-y: auto;
}

.partner_details_firstrow {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
}

.compDetail_header {
    font-size: 14px;
    line-height: 20px;
    padding-bottom: 1px;
    margin-top: 5px;
    max-width: 95%;
    font-family: 'averta-extrabold';
}

#close_partner_details {
    cursor: pointer;
}

#partnerDetails_businessFields_header {
    margin-top: 20px;
    margin-bottom: 4px;
}

#compDetail_businessFields_wrapper,
#compDetail_tag_wrapper {
    display: flex;
    flex-wrap: wrap;
}
#compDetail_businessFields_wrapper {
    margin-top: 8px;
}
.compDetail_info_wrapper {
    margin-top: 20px;
    margin-bottom: 20px;
}

.compDetail_info_wrapper p {
    padding-bottom: 0px;
}

.compDetail_infos {
    font-family: 'averta-regular';
    font-size: 14px;
    line-height: 20px;
}

.compDetail-external-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.comp-contact-type-wrapper {
    background: #e6e6e6;
    padding: 3px 10px;
    border-radius: 2px;
    white-space: nowrap;
    font-size: 10px;
    height: 18px;
    font-family: 'averta-semibold';
}

.partner-website {
    width: 140px;
    min-height: 40px;
    border: 2px solid black;
    text-align: center;
    margin-top: 20px;
    color: black;
    font-size: 14px;
    margin-bottom: 25px;
    padding: 10px;
}

.partner-website a {
    display: block;
    color: #000;
    height: 100%;
}

.partner-website:hover {
    background-color: black;
    color: white;
    border: 2px solid white;
    cursor: pointer;
}

.partner-website:hover a {
    color: white;
}

.filter-button {
    width: 140px;
    height: 40px;
    border: 2px solid black;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 20px;
    color: #000;
    cursor: pointer;
    font-size: 14px;
    display: grid;
    align-items: center;
}

.filter-button p {
    text-align: center;
}

.filter-button:hover {
    background-color: #000;
    color: white;
}

#filter_button_container {
    display: flex;
}

#close_filter {
    margin-right: 10px;
}

.zoom_to_showroom {
    font-family: 'averta-regular';
    font-size: 14px;
    line-height: 18px;
    text-decoration-line: underline;
    cursor: pointer;
    color: #e73246;
}

#no_partner_found {
    font-style: italic;
    font-family: 'averta-regular';
    font-size: 12px;
    line-height: 15px;
    width: 80%;
    top: 15px;
    position: relative;
    margin: auto;
    color: #000000;
}

/* MOBILE */
@media screen and (max-width: 1700px) {
    #status_filter_container {
        margin-left: 15%;
    }
}

@media screen and (max-width: 1560px) {
    #status_filter_container {
        margin-left: 23%;
    }
}

@media screen and (max-width: 1470px) {
    #status_filter_container {
        flex-wrap: wrap;
        margin-left: 32%;
        margin-right: 10%;
    }
}

@media screen and (max-width: 1200px) {
    #status_filter_container {
        flex-wrap: wrap;
        margin-left: 40%;
        margin-right: 20%;
    }
}

@media screen and (max-width: 970px) {
    #status_filter_container {
        flex-wrap: wrap;
        margin-left: 50%;
        margin-right: 10%;
    }
    #partner_detail_wrapper {
        height: 80%;
        overflow-y: auto;
        overflow-x: hidden;
    }
}

@media only screen and (max-width: 1470px) and (min-width: 1201px) {
    #max_distance_slider_container {
        left: 40% !important;
    }
}
@media only screen and (max-width: 1200px) and (min-width: 971px) {
    #max_distance_slider_container {
        left: 45% !important;
    }
}
@media only screen and (max-width: 970px) and (min-width: 761px) {
    #max_distance_slider_container {
        left: 55% !important;
        width: 35%;
    }
}

@media screen and (max-width: 760px) {
    #searchbar_container {
        top: 12px !important;
        left: 0px !important;
        margin: auto;
    }

    #sidebar_filter {
        top: 58px !important;
        left: 50% !important;
        z-index: 999;
        margin-left: -175px;
        position: absolute !important;
    }

    #partner_list {
        top: 12px !important;
        left: 0px !important;
    }

    #partner_detail_wrapper {
        margin: auto;
        margin-top: 15px;
        left: 0px !important;
        padding-bottom: 1px;
        box-shadow: unset;
        border-radius: unset;
        position: unset !important;
    }

    #status_filter_container {
        top: 55px !important;
        margin-left: unset;
        flex-wrap: unset;
        left: -2px !important;
        overflow-x: auto;
        overflow-y: hidden;
        width: 100%;
        -ms-overflow-style: none; /* Internet Explorer 10+ */
        scrollbar-width: none; /* Firefox */
    }
    #status_filter_container::-webkit-scrollbar {
        display: none; /* Safari and Chrome */
    }
    .distance-value {
        left: 40%;
    }
    .filter,
    .filter-all {
        flex: none;
    }
}
